// This source file is part of HGamer3D
// (A project to enable 3D game development in Haskell)
// For the latest info, see http://www.althainz.de/HGamer3D.html
// 
// (c) 2011 Peter Althainz
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// 
//     http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// 
// ClassDataStream.h
// 
// 
// 
// 
// File for type, method, enum or function stubs  
// in: "Dep-OgreSDK/include/OGRE\OgreDataStream.h"
// 
// each stub combines the following files: 
//     a C++ implementation file, transforming cpp calls into C-functions
//     a C-header file, making this C-functions available for the C2HS parser
//     a chs file, give instructions to the C2HS parser.
// 
// 

#include "wchar.h"
#include "ClassPtr.h"
#include "Utils.h"


// original function: const String& getName();
void cDs_getName_c(struct hg3dclass_struct *classptr_c, char * result_c);
// original function: uint16 getAccessMode();
void cDs_getAccessMode_c(struct hg3dclass_struct *classptr_c, unsigned short * result_c);
// original function: bool isReadable();
void cDs_isReadable_c(struct hg3dclass_struct *classptr_c, int * result_c);
// original function: bool isWriteable();
void cDs_isWriteable_c(struct hg3dclass_struct *classptr_c, int * result_c);
// original function: size_t readLine(char* buf, size_t maxCount, const String& delim);
void cDs_readLine_c(struct hg3dclass_struct *classptr_c, char* buf_c, int maxCount_c, char * delim_c, int * result_c);
// original function: String getLine(bool trimAfter);
void cDs_getLine_c(struct hg3dclass_struct *classptr_c, int trimAfter_c, char * result_c);
// original function: String getAsString();
void cDs_getAsString_c(struct hg3dclass_struct *classptr_c, char * result_c);
// original function: size_t skipLine(const String& delim);
void cDs_skipLine_c(struct hg3dclass_struct *classptr_c, char * delim_c, int * result_c);
// original function: void skip(long count);
void cDs_skip_c(struct hg3dclass_struct *classptr_c, int count_c);
// original function: void seek(size_t pos);
void cDs_seek_c(struct hg3dclass_struct *classptr_c, int pos_c);
// original function: size_t tell();
void cDs_tell_c(struct hg3dclass_struct *classptr_c, int * result_c);
// original function: bool eof();
void cDs_eof_c(struct hg3dclass_struct *classptr_c, int * result_c);
// original function: size_t size();
void cDs_size_c(struct hg3dclass_struct *classptr_c, int * result_c);
// original function: void close();
void cDs_close_c(struct hg3dclass_struct *classptr_c);
