// This source file is part of HGamer3D
// (A project to enable 3D game development in Haskell)
// For the latest info, see http://www.althainz.de/HGamer3D.html
// 
// (c) 2011 Peter Althainz
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// 
//     http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// 
// ClassPSSMShadowCameraSetup.h
// 
// 
// 
// 
// File for type, method, enum or function stubs  
// in: "Dep-OgreSDK/include/OGRE\OgreShadowCameraSetupPSSM.h"
// 
// each stub combines the following files: 
//     a C++ implementation file, transforming cpp calls into C-functions
//     a C-header file, making this C-functions available for the C2HS parser
//     a chs file, give instructions to the C2HS parser.
// 
// 

#include "wchar.h"
#include "ClassPtr.h"
#include "Utils.h"


// original function: void calculateSplitPoints(size_t splitCount, Real nearDist, Real farDist, Real lambda);
void cPssmscs_calculateSplitPoints_c(struct hg3dclass_struct *classptr_c, int splitCount_c, float nearDist_c, float farDist_c, float lambda_c);
// original function: void setOptimalAdjustFactor(size_t splitIndex, Real factor);
void cPssmscs_setOptimalAdjustFactor_c(struct hg3dclass_struct *classptr_c, int splitIndex_c, float factor_c);
// original function: void setSplitPadding(Real pad);
void cPssmscs_setSplitPadding_c(struct hg3dclass_struct *classptr_c, float pad_c);
// original function: Real getSplitPadding();
void cPssmscs_getSplitPadding_c(struct hg3dclass_struct *classptr_c, float * result_c);
// original function: size_t getSplitCount();
void cPssmscs_getSplitCount_c(struct hg3dclass_struct *classptr_c, int * result_c);
// original function: Real getOptimalAdjustFactor();
void cPssmscs_getOptimalAdjustFactor2_c(struct hg3dclass_struct *classptr_c, float * result_c);
