// This source file is part of HGamer3D
// (A project to enable 3D game development in Haskell)
// For the latest info, see http://www.althainz.de/HGamer3D.html
// 
// (c) 2011 Peter Althainz
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// 
//     http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// 
// ClassSubMesh.h
// 
// 
// 
// 
// File for type, method, enum or function stubs  
// in: "Dep-OgreSDK/include/OGRE\OgreSubMesh.h"
// 
// each stub combines the following files: 
//     a C++ implementation file, transforming cpp calls into C-functions
//     a C-header file, making this C-functions available for the C2HS parser
//     a chs file, give instructions to the C2HS parser.
// 
// 

#include "wchar.h"
#include "ClassPtr.h"
#include "Utils.h"
#include "EnumVertexAnimationType.h"


// original function: void setMaterialName(const String& matName, const String& groupName);
void cSum_setMaterialName_c(struct hg3dclass_struct *classptr_c, char * matName_c, char * groupName_c);
// original function: bool isMatInitialised();
void cSum_isMatInitialised_c(struct hg3dclass_struct *classptr_c, int * result_c);
// original function: void clearBoneAssignments();
void cSum_clearBoneAssignments_c(struct hg3dclass_struct *classptr_c);
// original function: void _compileBoneAssignments();
void cSum__compileBoneAssignments_c(struct hg3dclass_struct *classptr_c);
// original function: void addTextureAlias(const String& aliasName, const String& textureName);
void cSum_addTextureAlias_c(struct hg3dclass_struct *classptr_c, char * aliasName_c, char * textureName_c);
// original function: void removeTextureAlias(const String& aliasName);
void cSum_removeTextureAlias_c(struct hg3dclass_struct *classptr_c, char * aliasName_c);
// original function: void removeAllTextureAliases();
void cSum_removeAllTextureAliases_c(struct hg3dclass_struct *classptr_c);
// original function: bool hasTextureAliases();
void cSum_hasTextureAliases_c(struct hg3dclass_struct *classptr_c, int * result_c);
// original function: size_t getTextureAliasCount();
void cSum_getTextureAliasCount_c(struct hg3dclass_struct *classptr_c, int * result_c);
// original function: bool updateMaterialUsingTextureAliases();
void cSum_updateMaterialUsingTextureAliases_c(struct hg3dclass_struct *classptr_c, int * result_c);
// original function: VertexAnimationType getVertexAnimationType();
void cSum_getVertexAnimationType_c(struct hg3dclass_struct *classptr_c, enum EnumVertexAnimationType * result_c);
// original function: void generateExtremes(size_t count);
void cSum_generateExtremes_c(struct hg3dclass_struct *classptr_c, int count_c);
