// This source file is part of HGamer3D
// (A project to enable 3D game development in Haskell)
// For the latest info, see http://www.althainz.de/HGamer3D.html
// 
// (c) 2011 Peter Althainz
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// 
//     http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// 
// ClassTransformKeyFrame.h
// 
// 
// 
// 
// File for type, method, enum or function stubs  
// in: "Dep-OgreSDK/include/OGRE\OgreKeyFrame.h"
// 
// each stub combines the following files: 
//     a C++ implementation file, transforming cpp calls into C-functions
//     a C-header file, making this C-functions available for the C2HS parser
//     a chs file, give instructions to the C2HS parser.
// 
// 

#include "wchar.h"
#include "ClassPtr.h"
#include "Utils.h"
#include "TypeVector3.h"
#include "TypeQuaternion.h"


// original function: void setTranslate(const Vector3& trans);
void cTkf_setTranslate_c(struct hg3dclass_struct *classptr_c, struct vector3_struct * trans_c);
// original function: const Vector3& getTranslate();
void cTkf_getTranslate_c(struct hg3dclass_struct *classptr_c, struct vector3_struct * result_c);
// original function: void setScale(const Vector3& scale);
void cTkf_setScale_c(struct hg3dclass_struct *classptr_c, struct vector3_struct * scale_c);
// original function: const Vector3& getScale();
void cTkf_getScale_c(struct hg3dclass_struct *classptr_c, struct vector3_struct * result_c);
// original function: void setRotation(const Quaternion& rot);
void cTkf_setRotation_c(struct hg3dclass_struct *classptr_c, struct quaternion_struct * rot_c);
// original function: const Quaternion& getRotation();
void cTkf_getRotation_c(struct hg3dclass_struct *classptr_c, struct quaternion_struct * result_c);
