// This source file is part of HGamer3D
// (A project to enable 3D game development in Haskell)
// For the latest info, see http://www.althainz.de/HGamer3D.html
// 
// (c) 2011 Peter Althainz
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// 
//     http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// 
// ClassAnimationState.h
// 
// 
// 
// 
// File for type, method, enum or function stubs  
// in: "Dep-OgreSDK/include/OGRE\OgreAnimationState.h"
// 
// each stub combines the following files: 
//     a C++ implementation file, transforming cpp calls into C-functions
//     a C-header file, making this C-functions available for the C2HS parser
//     a chs file, give instructions to the C2HS parser.
// 
// 

#include "wchar.h"
#include "ClassPtr.h"
#include "Utils.h"


// original function: const String& getAnimationName();
void cAns_getAnimationName_c(struct hg3dclass_struct *classptr_c, char * result_c);
// original function: Real getTimePosition();
void cAns_getTimePosition_c(struct hg3dclass_struct *classptr_c, float * result_c);
// original function: void setTimePosition(Real timePos);
void cAns_setTimePosition_c(struct hg3dclass_struct *classptr_c, float timePos_c);
// original function: Real getLength();
void cAns_getLength_c(struct hg3dclass_struct *classptr_c, float * result_c);
// original function: void setLength(Real len);
void cAns_setLength_c(struct hg3dclass_struct *classptr_c, float len_c);
// original function: Real getWeight();
void cAns_getWeight_c(struct hg3dclass_struct *classptr_c, float * result_c);
// original function: void setWeight(Real weight);
void cAns_setWeight_c(struct hg3dclass_struct *classptr_c, float weight_c);
// original function: void addTime(Real offset);
void cAns_addTime_c(struct hg3dclass_struct *classptr_c, float offset_c);
// original function: bool hasEnded();
void cAns_hasEnded_c(struct hg3dclass_struct *classptr_c, int * result_c);
// original function: bool getEnabled();
void cAns_getEnabled_c(struct hg3dclass_struct *classptr_c, int * result_c);
// original function: void setEnabled(bool enabled);
void cAns_setEnabled_c(struct hg3dclass_struct *classptr_c, int enabled_c);
// original function: void setLoop(bool loop);
void cAns_setLoop_c(struct hg3dclass_struct *classptr_c, int loop_c);
// original function: bool getLoop();
void cAns_getLoop_c(struct hg3dclass_struct *classptr_c, int * result_c);
// original function: void createBlendMask(size_t blendMaskSizeHint, float initialWeight);
void cAns_createBlendMask_c(struct hg3dclass_struct *classptr_c, int blendMaskSizeHint_c, float initialWeight_c);
// original function: void destroyBlendMask();
void cAns_destroyBlendMask_c(struct hg3dclass_struct *classptr_c);
// original function: bool hasBlendMask();
void cAns_hasBlendMask_c(struct hg3dclass_struct *classptr_c, int * result_c);
// original function: void setBlendMaskEntry(size_t boneHandle, float weight);
void cAns_setBlendMaskEntry_c(struct hg3dclass_struct *classptr_c, int boneHandle_c, float weight_c);
