// This source file is part of HGamer3D
// (A project to enable 3D game development in Haskell)
// For the latest info, see http://www.althainz.de/HGamer3D.html
// 
// (c) 2011 Peter Althainz
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// 
//     http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// 
// ClassBone.h
// 
// 
// 
// 
// File for type, method, enum or function stubs  
// in: "Dep-OgreSDK/include/OGRE\OgreBone.h"
// 
// each stub combines the following files: 
//     a C++ implementation file, transforming cpp calls into C-functions
//     a C-header file, making this C-functions available for the C2HS parser
//     a chs file, give instructions to the C2HS parser.
// 
// 

#include "wchar.h"
#include "ClassPtr.h"
#include "Utils.h"
#include "TypeVector3.h"
#include "TypeQuaternion.h"


// original function: Bone* createChild(unsigned short handle, const Vector3& translate, const Quaternion& rotate);
void cB_createChild_c(struct hg3dclass_struct *classptr_c, unsigned short handle_c, struct vector3_struct * translate_c, struct quaternion_struct * rotate_c, struct hg3dclass_struct * result_c);
// original function: unsigned short getHandle();
void cB_getHandle_c(struct hg3dclass_struct *classptr_c, unsigned short * result_c);
// original function: void setBindingPose();
void cB_setBindingPose_c(struct hg3dclass_struct *classptr_c);
// original function: void reset();
void cB_reset_c(struct hg3dclass_struct *classptr_c);
// original function: void setManuallyControlled(bool manuallyControlled);
void cB_setManuallyControlled_c(struct hg3dclass_struct *classptr_c, int manuallyControlled_c);
// original function: bool isManuallyControlled();
void cB_isManuallyControlled_c(struct hg3dclass_struct *classptr_c, int * result_c);
// original function: const Vector3& _getBindingPoseInverseScale();
void cB__getBindingPoseInverseScale_c(struct hg3dclass_struct *classptr_c, struct vector3_struct * result_c);
// original function: const Vector3& _getBindingPoseInversePosition();
void cB__getBindingPoseInversePosition_c(struct hg3dclass_struct *classptr_c, struct vector3_struct * result_c);
// original function: const Quaternion& _getBindingPoseInverseOrientation();
void cB__getBindingPoseInverseOrientation_c(struct hg3dclass_struct *classptr_c, struct quaternion_struct * result_c);
