// This source file is part of HGamer3D
// (A project to enable 3D game development in Haskell)
// For the latest info, see http://www.althainz.de/HGamer3D.html
// 
// (c) 2011 Peter Althainz
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// 
//     http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// 
// ClassHardwareBufferManagerBase.h
// 
// 
// 
// 
// File for type, method, enum or function stubs  
// in: "Dep-OgreSDK/include/OGRE\OgreHardwareBufferManager.h"
// 
// each stub combines the following files: 
//     a C++ implementation file, transforming cpp calls into C-functions
//     a C-header file, making this C-functions available for the C2HS parser
//     a chs file, give instructions to the C2HS parser.
// 
// 

#include "wchar.h"
#include "ClassPtr.h"
#include "Utils.h"


// original function: void _freeUnusedBufferCopies();
void cHbmb__freeUnusedBufferCopies_c(struct hg3dclass_struct *classptr_c);
// original function: void _releaseBufferCopies(bool forceFreeUnused);
void cHbmb__releaseBufferCopies_c(struct hg3dclass_struct *classptr_c, int forceFreeUnused_c);
// original function: void _notifyIndexBufferDestroyed(HardwareIndexBuffer* buf);
void cHbmb__notifyIndexBufferDestroyed_c(struct hg3dclass_struct *classptr_c, struct hg3dclass_struct * buf_c);
