// This source file is part of HGamer3D
// (A project to enable 3D game development in Haskell)
// For the latest info, see http://www.althainz.de/HGamer3D.html
// 
// (c) 2011 Peter Althainz
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// 
//     http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// 
// ClassManualObjectSection.h
// 
// 
// 
// 
// File for type, method, enum or function stubs  
// in: "Dep-OgreSDK/include/OGRE\OgreManualObject.h"
// 
// each stub combines the following files: 
//     a C++ implementation file, transforming cpp calls into C-functions
//     a C-header file, making this C-functions available for the C2HS parser
//     a chs file, give instructions to the C2HS parser.
// 
// 

#include "wchar.h"
#include "ClassPtr.h"
#include "Utils.h"
#include "TypeSharedPtr.h"


// original function: const String& getMaterialName();
void cMos_getMaterialName_c(struct hg3dclass_struct *classptr_c, char * result_c);
// original function: const String& getMaterialGroup();
void cMos_getMaterialGroup_c(struct hg3dclass_struct *classptr_c, char * result_c);
// original function: void setMaterialName(const String& name, const String& groupName);
void cMos_setMaterialName_c(struct hg3dclass_struct *classptr_c, char * name_c, char * groupName_c);
// original function: void set32BitIndices(bool n32);
void cMos_set32BitIndices_c(struct hg3dclass_struct *classptr_c, int n32_c);
// original function: bool get32BitIndices();
void cMos_get32BitIndices_c(struct hg3dclass_struct *classptr_c, int * result_c);
// original function: const MaterialPtr& getMaterial();
void cMos_getMaterial_c(struct hg3dclass_struct *classptr_c, struct sharedptr_struct * result_c);
