// This source file is part of HGamer3D
// (A project to enable 3D game development in Haskell)
// For the latest info, see http://www.althainz.de/HGamer3D.html
// 
// (c) 2011 Peter Althainz
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// 
//     http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// 
// ClassRegion.h
// 
// 
// 
// 
// File for type, method, enum or function stubs  
// in: "Dep-OgreSDK/include/OGRE\OgreStaticGeometry.h"
// 
// each stub combines the following files: 
//     a C++ implementation file, transforming cpp calls into C-functions
//     a C-header file, making this C-functions available for the C2HS parser
//     a chs file, give instructions to the C2HS parser.
// 
// 

#include "wchar.h"
#include "ClassPtr.h"
#include "Utils.h"
#include "TypeVector3.h"


// original function: StaticGeometry* getParent();
void cRg_getParent_c(struct hg3dclass_struct *classptr_c, struct hg3dclass_struct * result_c);
// original function: void build(bool stencilShadows);
void cRg_build_c(struct hg3dclass_struct *classptr_c, int stencilShadows_c);
// original function: uint32 getID();
void cRg_getID_c(struct hg3dclass_struct *classptr_c, unsigned int * result_c);
// original function: const Vector3& getCentre();
void cRg_getCentre_c(struct hg3dclass_struct *classptr_c, struct vector3_struct * result_c);
// original function: bool hasEdgeList();
void cRg_hasEdgeList_c(struct hg3dclass_struct *classptr_c, int * result_c);
