// This source file is part of HGamer3D
// (A project to enable 3D game development in Haskell)
// For the latest info, see http://www.althainz.de/HGamer3D.html
// 
// (c) 2011 Peter Althainz
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// 
//     http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// 
// ClassSkeletonInstance.h
// 
// 
// 
// 
// File for type, method, enum or function stubs  
// in: "Dep-OgreSDK/include/OGRE\OgreSkeletonInstance.h"
// 
// each stub combines the following files: 
//     a C++ implementation file, transforming cpp calls into C-functions
//     a C-header file, making this C-functions available for the C2HS parser
//     a chs file, give instructions to the C2HS parser.
// 
// 

#include "wchar.h"
#include "ClassPtr.h"
#include "Utils.h"


// original function: unsigned short getNumAnimations();
void cSi_getNumAnimations_c(struct hg3dclass_struct *classptr_c, unsigned short * result_c);
// original function: Animation* getAnimation(unsigned short index);
void cSi_getAnimation_c(struct hg3dclass_struct *classptr_c, unsigned short index_c, struct hg3dclass_struct * result_c);
// original function: Animation* createAnimation(const String& name, Real length);
void cSi_createAnimation_c(struct hg3dclass_struct *classptr_c, char * name_c, float length_c, struct hg3dclass_struct * result_c);
// original function: void removeAnimation(const String& name);
void cSi_removeAnimation_c(struct hg3dclass_struct *classptr_c, char * name_c);
// original function: void addLinkedSkeletonAnimationSource(const String& skelName, Real scale);
void cSi_addLinkedSkeletonAnimationSource_c(struct hg3dclass_struct *classptr_c, char * skelName_c, float scale_c);
// original function: void removeAllLinkedSkeletonAnimationSources();
void cSi_removeAllLinkedSkeletonAnimationSources_c(struct hg3dclass_struct *classptr_c);
// original function: const String& getName();
void cSi_getName_c(struct hg3dclass_struct *classptr_c, char * result_c);
