// This source file is part of HGamer3D
// (A project to enable 3D game development in Haskell)
// For the latest info, see http://www.althainz.de/HGamer3D.html
// 
// (c) 2011 Peter Althainz
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// 
//     http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// 
// ClassSubEntity.h
// 
// 
// 
// 
// File for type, method, enum or function stubs  
// in: "Dep-OgreSDK/include/OGRE\OgreSubEntity.h"
// 
// each stub combines the following files: 
//     a C++ implementation file, transforming cpp calls into C-functions
//     a C-header file, making this C-functions available for the C2HS parser
//     a chs file, give instructions to the C2HS parser.
// 
// 

#include "wchar.h"
#include "ClassPtr.h"
#include "Utils.h"
#include "TypeSharedPtr.h"


// original function: const String& getMaterialName();
void cSe_getMaterialName_c(struct hg3dclass_struct *classptr_c, char * result_c);
// original function: void setMaterialName(const String& name, const String& groupName);
void cSe_setMaterialName_c(struct hg3dclass_struct *classptr_c, char * name_c, char * groupName_c);
// original function: void setMaterial(const MaterialPtr& material);
void cSe_setMaterial_c(struct hg3dclass_struct *classptr_c, struct sharedptr_struct * material_c);
// original function: void setVisible(bool visible);
void cSe_setVisible_c(struct hg3dclass_struct *classptr_c, int visible_c);
// original function: bool isVisible();
void cSe_isVisible_c(struct hg3dclass_struct *classptr_c, int * result_c);
// original function: SubMesh* getSubMesh();
void cSe_getSubMesh_c(struct hg3dclass_struct *classptr_c, struct hg3dclass_struct * result_c);
// original function: Entity* getParent();
void cSe_getParent_c(struct hg3dclass_struct *classptr_c, struct hg3dclass_struct * result_c);
// original function: const MaterialPtr& getMaterial();
void cSe_getMaterial_c(struct hg3dclass_struct *classptr_c, struct sharedptr_struct * result_c);
// original function: Technique* getTechnique();
void cSe_getTechnique_c(struct hg3dclass_struct *classptr_c, struct hg3dclass_struct * result_c);
// original function: unsigned short getNumWorldTransforms();
void cSe_getNumWorldTransforms_c(struct hg3dclass_struct *classptr_c, unsigned short * result_c);
// original function: bool getCastsShadows();
void cSe_getCastsShadows_c(struct hg3dclass_struct *classptr_c, int * result_c);
// original function: TempBlendedBufferInfo* _getSkelAnimTempBufferInfo();
void cSe__getSkelAnimTempBufferInfo_c(struct hg3dclass_struct *classptr_c, struct hg3dclass_struct * result_c);
// original function: TempBlendedBufferInfo* _getVertexAnimTempBufferInfo();
void cSe__getVertexAnimTempBufferInfo_c(struct hg3dclass_struct *classptr_c, struct hg3dclass_struct * result_c);
// original function: void _markBuffersUnusedForAnimation();
void cSe__markBuffersUnusedForAnimation_c(struct hg3dclass_struct *classptr_c);
// original function: void _markBuffersUsedForAnimation();
void cSe__markBuffersUsedForAnimation_c(struct hg3dclass_struct *classptr_c);
// original function: bool _getBuffersMarkedForAnimation();
void cSe__getBuffersMarkedForAnimation_c(struct hg3dclass_struct *classptr_c, int * result_c);
// original function: void _restoreBuffersForUnusedAnimation(bool hardwareAnimation);
void cSe__restoreBuffersForUnusedAnimation_c(struct hg3dclass_struct *classptr_c, int hardwareAnimation_c);
